WordPress.org

Support

Support » Plugins and Hacks » Blogger Importer » [Resolved] Error: invalid_request

[Resolved] Error: invalid_request

  • Hi,

    When authorizing with Blogger through the plugin, I’m getting an error. I think it’s the same Invalid Token Error other people posted about here in this forum. I’ve tried all the things the plugin author suggested. By Core Control plugin the transport seems okay. I’ve only not yet contacted my system administrator about the firewall settings.

    The older version of this plugin got me this fatal error:

    Warning: require_once(/var/www/vhosts/blogandthecity.net/httpdocs/wp-content/plugins/blogger-importer/blogger-entry.php): failed to open stream: No such file or directory in /var/www/vhosts/blogandthecity.net/httpdocs/wp-content/plugins/blogger-importer/blogger-importer.php on line 29 Fatal error: require_once(): Failed opening required ‘/var/www/vhosts/blogandthecity.net/httpdocs/wp-content/plugins/blogger-importer/blogger-entry.php’ (include_path=’.::/var/www/vhosts/blogandthecity.net/httpdocs/wp-content/plugins/background-manager/vendor/OAuth/lib’) in /var/www/vhosts/blogandthecity.net/httpdocs/wp-content/plugins/blogger-importer/blogger-importer.php on line 29

    Well.. I don’t understand it entirely, but I’ve deactivated the Background Manager plugin I’m using. Still got the error.

    Someone knows the magic solution for my error?

    http://wordpress.org/plugins/blogger-importer/

Viewing 15 replies - 1 through 15 (of 16 total)
  • Plugin Author Workshopshed

    @workshopshed

    The latest version is at

    https://core.trac.wordpress.org/attachment/ticket/4010/blogger-importer.3.zip

    The “Warning: require_once” error simply means I did not include all the files in the upload hence the replacement linked above, unfortunately I can’t delete the older version and don’t have SVN permissions.

    The plugin should display a message on the first screen where you press the button to authorise if you can’t contact blogger. As mentioned in the other threads typical issues include an incorrect clock time on your server, missing communication modules (hence the core control check) and lack of permissions from your server to the blogger servers

    Thanks for your quick response Workshopshed!

    I’ve deleted the Blogger Importer and uploaded the latest version of the link you sent me. And now I’m not getting any screen at all. Not even the Authorize screen. Know about this problem? 🙂

    Plugin Author Workshopshed

    @workshopshed

    This is a new one for me. Do you get the intro message and/or an error message or just a blank screen?

    Just a blank screen. Nothing there! :O

    I’m also having the “Blogger to WordPress Redirection” plugin (although I don’t know yet if I will need it). Before with the other error, this plugin also didn’t work.

    But now he does.. So may we assume that Blogger Importer has contact with Bloggers and works somehow?

    Sorry, that plugin probably just works now because I’ve imported posts of with the WordPress Importer plugin.

    Blogger Importer still totally blank.

    Plugin Author Workshopshed

    @workshopshed

    Totally blank normally means some kind of compile error which should show up in the error log for WordPress if you turn that on.

    Sorry for coming back to you, but with the Error Log plugin, I found a error and I’m wondering about your opinion.

    Do you think this error might cause the problem between the Blogger en WordPress connection?

    Error log filename is not set.

    To enable error logging, create an empty file named “php-errors.log”. Place it in a directory that is not publicly accessible (preferably outside your web root) and ensure it is writable by the web server. Then add the following code to wp-config.php:

    ini_set(‘log_errors’, ‘On’);
    ini_set(‘error_log’, ‘/full/path/to/php-errors.log’);

    Okay that will not.

    A friend who’s on another server is also getting a blank page at the plugin. Might it be a problem related to our location, the Netherlands?

    Plugin Author Workshopshed

    @workshopshed

    There was an issue with the way it was handling the error messages, this should be fixed in the latest version

    https://github.com/Workshopshed/BloggerImporter

    Now I get another error:

    Error occurred getting OAuth tokens from Google

    Invalid Token: Check server date, firewall settings and transports (curl, streams and fsockopen)

    May my server or host solve this problem?

    Plugin Author Workshopshed

    @workshopshed

    Thanks for checking again. I suspect you will need to get your host to assist, the message is indicating that your server cannot talk to the google server.

    I still got the same error. I contacted my host about it, but he does not really know what to do. Do you have an idea of what he might need to change? What settings?

    I got another Blogger-blog I would like to import in my WordPress Mu. Not being able to use this plugin, makes it so hard to move the blog haha

    Plugin Author Workshopshed

    @workshopshed

    The latest version is now at http://wordpress.org/plugins/blogger-importer/developers/

    The core control plugin has a logging feature that might tell a bit more.

    Also checking the server clock should be straight forward, if its more than a few minutes different to Google then your request would be rejected.

    My host checked the server clock and it was 30 minutes difference or so, so that was the problem. Now the plugin works perfectly!! So happy about it!

    Thanks so much for all your help. You were really helpful 🙂

Viewing 15 replies - 1 through 15 (of 16 total)
  • The topic ‘[Resolved] Error: invalid_request’ is closed to new replies.
Skip to toolbar